Loading...
Searching...
No Matches
bitset.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <bitset> More...

`#include "cereal/cereal.hpp"`
`#include "cereal/types/string.hpp"`
`#include <bitset>`

Go to the source code of this file.

## Enumerations

enum class | cereal::bitset_detail::type : uint8_t { ulong , ullong , string , bits }
| The type the bitset is encoded with.

## Functions

template<class Archive , size_t N, traits::EnableIf< traits::is_output_serializable< BinaryData< std::uint32_t >, Archive >::value > = traits::sfinae>
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::bitset< N > const &bits)
| Serializing (save) for std::bitset when BinaryData optimization supported.
template<class Archive , size_t N>
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::bitset< N > &bits)
| Serializing (load) for std::bitset.

## Detailed Description

Support for types found in <bitset>

## Function Documentation

## CEREAL_SAVE_FUNCTION_NAME()

template<class Archive , size_t N, traits::EnableIf< traits::is_output_serializable< BinaryData< std::uint32_t >, Archive >::value > = traits::sfinae>

void cereal::CEREAL_SAVE_FUNCTION_NAME | ( | Archive & | ar,
|  | std::bitset< N > const & | bits
| ) |  |

inline

Serializing (save) for std::bitset when BinaryData optimization supported.

Serializing (save) for std::bitset when BinaryData is not supported.